Upsert Slack installation
curl --request PUT \
--url https://spectrum.photon.codes/projects/{projectId}/slack/installations/{teamId} \
--header 'Content-Type: application/json' \
--data '
{
"teamName": "<string>",
"appId": "<string>",
"botToken": "<string>",
"botUserId": "<string>",
"grantedScopes": [
"<string>"
],
"botRefreshToken": "<string>",
"botTokenExpiresInSec": 123
}
'import requests
url = "https://spectrum.photon.codes/projects/{projectId}/slack/installations/{teamId}"
payload = {
"teamName": "<string>",
"appId": "<string>",
"botToken": "<string>",
"botUserId": "<string>",
"grantedScopes": ["<string>"],
"botRefreshToken": "<string>",
"botTokenExpiresInSec": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
teamName: '<string>',
appId: '<string>',
botToken: '<string>',
botUserId: '<string>',
grantedScopes: ['<string>'],
botRefreshToken: '<string>',
botTokenExpiresInSec: 123
})
};
fetch('https://spectrum.photon.codes/projects/{projectId}/slack/installations/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"succeed": true,
"data": {
"installationId": "<string>",
"appConfigId": "<string>",
"projectId": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"appId": "<string>",
"botToken": "<string>",
"botRefreshToken": "<string>",
"botTokenExpiresAt": "<string>",
"botUserId": "<string>",
"grantedScopes": [
"<string>"
],
"installedAt": "<string>",
"updatedAt": "<string>"
}
}slack
Upsert Slack installation
Creates or updates an installation row for a workspace. Called by the OAuth proxy after oauth.v2.access succeeds. Returns 409 if the project has no active Slack app config (caller must PUT /projects/:projectId/slack first).
PUT
/
projects
/
{projectId}
/
slack
/
installations
/
{teamId}
Upsert Slack installation
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
x <= 9007199254740991Was this page helpful?
⌘I